diff options
author | Wladimir J. van der Laan <laanwj@gmail.com> | 2014-08-21 05:48:21 +0200 |
---|---|---|
committer | Wladimir J. van der Laan <laanwj@gmail.com> | 2014-08-21 05:48:26 +0200 |
commit | 2fb886bffb5ec42f7e77905ac9367e63e95470f6 (patch) | |
tree | ce9fbbe1b7dfb9ea92e2b2cbbedc8623084a5e62 | |
parent | 27bc786641323f9ddb54a071c1234ec5f3293df6 (diff) | |
parent | c53b1ece1b0644bd9620773eea3757bf939a678f (diff) |
Merge pull request #4731
c53b1ec Fix github-merge with git version 2.1.0 (Gavin Andresen)
-rwxr-xr-x | contrib/devtools/github-merge.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/contrib/devtools/github-merge.sh b/contrib/devtools/github-merge.sh index e42b71a54a..3217a06195 100755 --- a/contrib/devtools/github-merge.sh +++ b/contrib/devtools/github-merge.sh @@ -49,11 +49,11 @@ fi # Initialize source branches. git checkout -q "$BRANCH" if git fetch -q "$HOST":"$REPO" "+refs/pull/$PULL/*:refs/heads/pull/$PULL/*"; then - if ! git log -1q "refs/heads/pull/$PULL/head" >/dev/null 2>&1; then + if ! git log -q -1 "refs/heads/pull/$PULL/head" >/dev/null 2>&1; then echo "ERROR: Cannot find head of pull request #$PULL on $HOST:$REPO." >&2 exit 3 fi - if ! git log -1q "refs/heads/pull/$PULL/merge" >/dev/null 2>&1; then + if ! git log -q -1 "refs/heads/pull/$PULL/merge" >/dev/null 2>&1; then echo "ERROR: Cannot find merge of pull request #$PULL on $HOST:$REPO." >&2 exit 3 fi |